﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Forums.MicrosoftForumsProvider;
using Microsoft.Forums.SyncService;
using Microsoft.Forums.OfflineStore;

namespace Microsoft.Forums.ForumsClient
{
    /// <summary>
    /// ObservableCollection of Forums objects
    /// </summary>
    public class PreviewForumsCollection : ObservableCollection<Forum>
    {
        static private ObservableCollection<Forum> previewForumsCollection;

        /// <summary>
        /// Constructor instantiates a new ObservableCollection of Forums objects
        /// </summary>
        public PreviewForumsCollection()
        {
            previewForumsCollection = new ObservableCollection<Forum>();
        }

        /// <summary>
        /// gets the current ObservableCollection of Forums objects
        /// </summary>
        public static ObservableCollection<Forum> Instance
        {
            get { return previewForumsCollection; }
        }
    }
}
