﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.Forums.OfflineStore
{
    /// <summary>
    /// Indidcates that a property on a local store object property is not in the database but is added for
    /// runtime use
    /// </summary>
    [AttributeUsage(AttributeTargets.Property)]
    public sealed class NotInDatabaseAttribute : Attribute
    {
    }
}
