﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using Microsoft.Forums.ForumsClient;

namespace ForumsClientUnitTests
{
    [TestFixture]
    public class LogonDialogContructorUnitTests
    {
        /// <summary>
        /// Verify that the constructor throws a System.ArgumentNullException
        /// when called with null parameter.
        /// </summary>
        [Test]
        [ExpectedException(typeof(ArgumentNullException))]
        public void LogonDialogContructorThrowsArgumentNullExceptionTest()
        {
            // Call the constructor with null object
            LogOnDialog loginDialog = new LogOnDialog(null);
        }
    }
}
