﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Forums.SyncService;

namespace Microsoft.Forums.Tests.HelperTools.Stubs
{
    /// <summary>
    /// Represents a stub for a IConnection interface.  Allows a test to set exepcted return values.
    /// </summary>
    public class ConnectionStub : IConnection
    {
        /// <summary>
        /// Result returned by a call to method IsConnected
        /// </summary>
        public bool IsConnected_Result { get; set; }

        #region IConnection Members

        public bool IsConnected
        {
            get
            {
                return IsConnected_Result;
            }
        }


        #endregion
    }
}
